For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set store shipping

Set the flat-rate shipping price for a store, creating the shipping zone if it does not exist yet.

Set store shipping

post

Set the flat-rate shipping price for a store, creating the shipping zone if it does not exist yet.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
store_idstringRequired

The ID of the store to configure shipping for.

Example: store_01J8Z5F8W9K8M4A7B3C2D1E0FG
Body
priceintegerRequired

Flat shipping rate in the smallest currency unit (e.g. cents). Use 0 for free shipping.

Example: 500
Responses
200

Success response

application/json
admin_urlstringOptional

Admin UI deep-link to manage shipping settings.

Example: https://admin.example.com/store_01.../store-settings/shipping
post/api/ecommerce/v1/stores/{store_id}/shipping
POST /api/ecommerce/v1/stores/{store_id}/shipping HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "price": 500
}
{
  "shipping_option": {
    "id": "so_01J8Z5F8W9K8M4A7B3C2D1E0FG",
    "amount": 500,
    "currency_code": "usd"
  },
  "admin_url": "https://admin.example.com/store_01.../store-settings/shipping"
}

Last updated

Was this helpful?